The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get IVX Broker authentication status at Device level

Prev Next

This URL obtains the IVX broker authentication status at Sensor/Device level.

Resource URL

POST /VXIntegration/sensor/<sensor_id>/getVxBrokerAuthStatus

Request Parameters

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor ID

Number

Yes

vxEnableCertValidation

Enable or disable certificate validation

Boolean

Yes

vxEnableProxy

Enable or disable proxy for IVX communication

Boolean

Yes

vxIpAddress

IP address of the broker node

Note

If you are on a Sensor version prior to 11.1 Update 4, you need enter only IPv4 address of the single broker node.

String

Yes

vxPassword

Password for broker node authentication

String

Yes

vxUserName

Username for broker node authentication

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

String

vxIpAddress

IP address of the broker node

String

vxIpAddress

IP address of the broker node

String

managerAuthSuccessful

Authentication status of the Manager with the IVX appliance

Boolean

mgrAuthFailureReason

Reason for the authentication failure

String

sensorAuthStatus

Authentication status of the Sensor with the IVX appliance

String

Example

Request

POST https://<Manager_IP>/sdkapi/VXIntegration/sensor/1001/getVxBrokerAuthStatus

Payload:

{
    "vxEnableCertValidation": false,
    "vxEnableProxy": true,
    "vxIpAddress": "10.213.2.35",
    "vxPassword": "admin123",
    "vxUserName": "admin"
}

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": null,
    "errorCode": 0,
    "vxIpAddress": "10.213.2.35",
    "managerAuthSuccessful": true,
    "mgrAuthFailureReason": null,
    "sensorAuthStatus": "Successful"
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor